<%--
  ~ Copyright (C) 2005 - 2009 Jaspersoft Corporation. All rights reserved.
  ~ http://www.jaspersoft.com.
  ~ Licensed under commercial Jaspersoft Subscription License Agreement
  --%>

<%@ taglib prefix="spring" uri="/spring" %>
<%@ taglib uri="/WEB-INF/jasperserver.tld" prefix="js" %>
<%@ taglib prefix="t" uri="http://tiles.apache.org/tags-tiles" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page errorPage="/WEB-INF/jsp/modules/system/errorPage.jsp" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
    <jsp:include page="../common/jrsConfigs.jsp"/>

    <%--styles for report--%>
	<link rel="stylesheet" href="${pageContext.request.contextPath}/themes/reset.css" type="text/css" media="screen">
	<!-- Theme -->
	<link rel="stylesheet" href="${pageContext.request.contextPath}/<spring:theme code="theme.css"/>" type="text/css" media="screen,print"/>
	<link rel="stylesheet" href="${pageContext.request.contextPath}/<spring:theme code="pages.css"/>" type="text/css" media="screen,print"/>
	<link rel="stylesheet" href="${pageContext.request.contextPath}/<spring:theme code="containers.css"/>" type="text/css" media="screen,print"/>
	<link rel="stylesheet" href="${pageContext.request.contextPath}/<spring:theme code="buttons.css"/>" type="text/css" media="screen,print"/>
	<link rel="stylesheet" href="${pageContext.request.contextPath}/<spring:theme code="lists.css"/>" type="text/css" media="screen,print"/>
	<link rel="stylesheet" href="${pageContext.request.contextPath}/<spring:theme code="controls.css"/>" type="text/css" media="screen,print"/>
	<link rel="stylesheet" href="${pageContext.request.contextPath}/<spring:theme code="dataDisplays.css"/>" type="text/css" media="screen,print"/>
	<link rel="stylesheet" href="${pageContext.request.contextPath}/<spring:theme code="pageSpecific.css"/>" type="text/css" media="screen,print"/>
	<link rel="stylesheet" href="${pageContext.request.contextPath}/<spring:theme code="dialogSpecific.css"/>" type="text/css" media="screen,print"/>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/<spring:theme code="forPrint.css"/>" type="text/css" media="print"/>

    <link rel="stylesheet" href="${pageContext.request.contextPath}/scripts/jquery/theme/jquery.ui.theme.css" type="text/css" media="screen,print"/>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/scripts/jquery/theme/redmond/jquery-ui-1.8.20.custom.css" type="text/css" media="screen">

	<style type="text/css">
		/*
			Override body background color set in theme.css
		*/
		body {background:none;}
		.novis {visibility:hidden;}
	</style>

    <script type="text/javascript" src="${pageContext.request.contextPath}/scripts/require-jquery.js"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath}/scripts/require.config.js"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath}/getRequirejsConfig.html"></script>

	<script type="text/javascript">
        <c:if test="${needPageRefresh}">
            <%-- HTTP redirect can't be applied here because it adds jsessionid parameter --%>
        </c:if>

        var dashboardViewFrame = {};
        dashboardViewFrame.flowExecutionKey = '${flowExecutionKey}';

        // store values rendered on server side for future usage in module
        __jrsConfigs__.dashboardDesignerFrame = {};
        __jrsConfigs__.dashboardDesignerFrame.reportRequestParams = ${allRequestParameters};

        <c:if test="${isAdhocReportUnit == null || isAdhocReportUnit == 'false'}">
        __jrsConfigs__.dashboardDesignerFrame.isAdhocReportUnit = false;
        </c:if>
        <c:if test="${isAdhocReportUnit != null && isAdhocReportUnit == 'true'}">
        __jrsConfigs__.dashboardDesignerFrame.isAdhocReportUnit = true;
        </c:if>

        __jrsConfigs__.dashboardDesignerFrame.fid = '${param.fid}';

        require(["dashboard.designer.frame.page"]);

        require.onError = function (err) {
            //block errors because of Bug 34818 with frequent refresh of iFrames,
            //throw err;
        };


    </script>
</head>

<body class="body dashboardViewFrame">
<%--required by JIVE--%>
<div class="body">

<%--note: not using class hidden because it creates a padding--%>
<form style="display:none"  name="viewReportForm" action="<c:url value="flow.html"/>" method="post">
    <input class="hidden" type="hidden" name="pageIndex" value="${pageIndex}"/>
    <input class="hidden" type="hidden" name="_flowExecutionKey" value="${flowExecutionKey}"/>
</form>

<t:insertTemplate template="/WEB-INF/jsp/templates/nothingToDisplay.jsp">
    <t:putAttribute name="containerID" value="emptyReportID" />
    <t:putAttribute name="bodyContent">
        <p class="message emphasis">${reportUnitObject.label}</p>
        <p class="message">
            <%-- currently empty report message is set on server side - see ViewReportAction.runReport --%>
        </p>
    </t:putAttribute>
</t:insertTemplate>

<c:choose>
<c:when test="${false}">
<div id="reportContainer" class="novis" style="position:relative;"></div>
</c:when>
<c:otherwise>
<div id="reportContainer" class="" style="position:relative;">
    <c:if test="${isAdhocReportUnit != null && isAdhocReportUnit == 'true'}">
        <spring:message code="log.error.cannot.view.adhocReport"/>
    </c:if>
</div>
</c:otherwise>
</c:choose>

</div>
</body>
</html>
